## BtMainStatusbar BtMainStatusbar — class for the editor main statusbar |

## Synopsis

    #include "bt-edit.h"

                        BtMainStatusbar;
    #define             BT_MAIN_STATUSBAR_DEFAULT
    BtMainStatusbar *   bt_main_statusbar_new               (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----BtMainStatusbar

## Implemented Interfaces

BtMainStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only
      "status"                   gchar*                : Write

## Description

The statusbar shows some contextual help, as well as things like playback status.

## Details

### BtMainStatusbar

    typedef struct _BtMainStatusbar BtMainStatusbar;

the root window for the editor application

### BT_MAIN_STATUSBAR_DEFAULT

    #define BT_MAIN_STATUSBAR_DEFAULT _("Ready to rock!")

Default text to display when idle.

### bt_main_statusbar_new ()

    BtMainStatusbar *   bt_main_statusbar_new               (const BtEditApplication *app);

Create a new instance

`app` : | the application the statusbar belongs to
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the menu belongs to.

### The `"status"` property

      "status"                   gchar*                : Write

main status text.

Default value: "Ready to rock!"